# A collection of sample gexf files for testing

Most datasets come from here https://github.com/gephi/gephi/wiki/Datasets if not otherwise stated.

### lesmis

#### gexf file version: 1.3
The lesmis gephi file represents the same data as the one in gml format found in
Marc Newmans GML dataset collection: http://www-personal.umich.edu/~mejn/netdata/
It also has some additional graph data, like node positions, node colors (by modularity group), node size etc because the gexf format can also store that kind of data.

This gefx file is included as sample data with the installation of the Gephi software.
It seems to be a converted version of Marc Newmans GML file. The reference is the same as for the GML file:

"Les Miserables: coappearance weighted network of characters in the novel Les Miserables.
D. E. Knuth, The Stanford GraphBase: A Platform for Combinatorial Computing, Addison-Wesley, Reading, MA (1993)."

As the title reveals this data represents a coappearance network. This makes it an **undirected** network.
It is furthermore a **weighted** network, edge weights are named "value" in the gml file.
This is a **one-mode** network because there is only one type of nodes (book characters).
- 77 nodes
- 254 edges (undirected)

### ChineseBuddhism_SNA

#### gexf file version:1.2draft
This gexf file is located in another [repository](https://github.com/DHARPA-Project/kiara.examples/blob/main/examples/data/network_analysis/gexf),
because it is too large (20,4 MB).

It comes from this website:

https://github.com/mbingenheimer/ChineseBuddhism_SNA

The data represents an undirected multigraph with:

- 18130 nodes
- 33976 edges (undirected* modified)

### quakers

#### gexf file version: 1.2draft
This file was generated by working through all the steps in this [PH tutorial](https://programminghistorian.org/en/lessons/exploring-and-analyzing-network-data-with-python) and creating a gexf file with networkX at the end. The original CSV files that constitute the original input files of this workflow can be found in this [repository](https://github.com/DHARPA-Project/kiara_plugin.network_analysis/tree/develop/examples/data/quakers).

"Before there were Facebook friends, there was the Society of Friends, known as the Quakers. Founded in England in the mid-seventeenth century, the Quakers were Protestant Christians who dissented from the official Church of England and promoted broad religious toleration, preferring Christians’ supposed “inner light” and consciences to state-enforced orthodoxy. Quakers’ numbers grew rapidly in the mid- to late-seventeenth century and their members spread through the British Isles, Europe, and the New World colonies—especially Pennsylvania, founded by Quaker leader William Penn and the home of your four authors.

Since scholars have long linked Quakers’ growth and endurance to the effectiveness of their networks, the data used in this tutorial is a list of names and relationships among the earliest seventeenth-century Quakers. This dataset is derived from the Oxford Dictionary of National Biography and from the ongoing work of the Six Degrees of Francis Bacon project, which is reconstructing the social networks of early modern Britain (1500-1700). [...]

Each Quaker node also has a number of associated attributes including historical significance, gender, birth/death dates, and SDFB ID—a unique numerical identifier that allows the user to cross-reference nodes in this dataset with the original Six Degrees of Francis Bacon dataset."

This is a **one-mode** network. It is **undirected** and **unweighted**.

- 119 nodes
- 174 edges (undirected)
